tomcat4 (4.1.31-3) unstable; urgency=low

  * Changed default JSP compiler for kaffe in the tomcat4 init script
    to be jikes now that kjc has been removed from the kaffe package 
    (Closes: #299643)
  * Modified JDK_DIRS environment to reflect currently-supported JDK 
    paths in Debian packaging
  * Updated license to Apache License 2.0 in copyright file
  * Added runtime dependencies to resolve possible issues with differing
    library versions possible with certain installations (Closes: #300209)
  * Corrected init script to be bash, as bashisms are used, and set
    JITC_PROCESSOR_TYPE when running on powerpc

 -- Barry Hawkins <barry@bytemason.org>  Tue, 15 Mar 2005 15:40:34 -0500

tomcat4 (4.1.31-2) unstable; urgency=low

  * config files are reverted publicly readable because tomcat runs as
    'tomcat4:nogroup' and the confiles are 'root:root'. So Tomcat4 won't
    start if the config files are 640!

 -- Arnaud Vandyck <avdyk@debian.org>  Thu,  6 Jan 2005 13:54:32 +0100

tomcat4 (4.1.31-1) unstable; urgency=low

  * New upstream release (closes: #280453)
  * config file are no more publicly readable (closes: #268002)
  * added myself as an uploader
  
 -- Arnaud Vandyck <avdyk@debian.org>  Thu,  6 Jan 2005 01:08:59 +0100

tomcat4 (4.1.30-6) unstable; urgency=low

  * Remove /var/log/tomcat4/catalina.out after stopping Tomcat so downgrades
    should work (closes: #259155)
  * Only depend on apache-utils | apache2-common to find rotatelogs(2)
    (closes: #263881)
  * Better explain in README.Debian what to do if a webapp does not work with
    the Debian package (closes: #260785)
  * Added a note to README.Debian about the /usr/share/tomcat4/.debian
    directory (closes: #247855)

 -- Stefan Gybas <sgybas@debian.org>  Fri, 13 Aug 2004 13:12:28 +0200

tomcat4 (4.1.30-5) unstable; urgency=low

  * Allow apache-common (<< 1.3.29.0.2-1) as alterantive to apache-utils so
    tomcat4 can be installed on woody
  * Enable allowLinking in /var/lib/tomcat4/webapps/admin.xml and in
    /etc/tomcat4/server.xml for the tomcat-docs webapp so the Servlet/JSP
    API documentation is accessible (closes: #199686)
  * Document how to enable symlinks in README.Debian (closes: #182566)
  * Don't ship struts.jar in tomcat4-admin, depend on libstruts1.1-java and
    use a symlink instead
  * Add permissions for struts.jar to /etc/tomcat4/policy.d/10admin.policy
  * Check if we are root in /etc/init.d/tomcat4. Thanks to Guido Guenther for
    the patch! (closes: #248268)
  * Set maintainer to Debian Java Maintainers and added myself to uploaders

 -- Stefan Gybas <sgybas@debian.org>  Mon, 14 Jun 2004 13:42:23 +0200

tomcat4 (4.1.30-4) unstable; urgency=low

  * Added versioned dependency on apache-utils since rotatelogs was moved
    there in version 1.3.29.0.2-1. (closes: #237358)

 -- Stefan Gybas <sgybas@debian.org>  Thu, 11 Mar 2004 11:03:07 +0100

tomcat4 (4.1.30-3) unstable; urgency=low

  * Use libant1.6-java instead of libant1.5-java for building and running
  * Make /var/log/tomcat4/catalina.out a named pipe and use rotatelogs(2) from
    apache-utils/apache2-common to split the log into smaller files.
  * Install a cron jobs into /etc/cron.daily that removes old log files
    (closes: #163387, #233872). The number of days defaults to 14 and can be
    changed in /etc/default/tomcat4.

 -- Stefan Gybas <sgybas@debian.org>  Wed, 10 Mar 2004 14:47:01 +0100

tomcat4 (4.1.30-2) unstable; urgency=low

  * Fixed init scipt to properly shutdown tomcat4 (closes: #236568)
  * Fixed postinst script to not overwrite tomcat-users.xml (closes: #235775)
  * Implemented status option for /etc/init.d/tomcat4 with LSB-compliant
    exit codes
  * Use the new status option to only restart tomcat4 if it is already
    running during installation/removal of tomcat4-admin and tomcat4-webapps
    (closes: #228291)

 -- Stefan Gybas <sgybas@debian.org>  Mon,  8 Mar 2004 23:56:08 +0100

tomcat4 (4.1.30-1) unstable; urgency=low

  * New upstream release
  * Removed 05_admin_classpath.patch (applied upstream)
  * Change the owner of /var/lib/tomcat4/conf/tomcat-users.xml to the user
    running tomcat4 on startup (closes: #230807)
  * Add the Activation and JavaMail API classes from libgnujaf-java and
    libgnumail-java to the build process so the SendMailServlet class gets
    built (closes: #183973). Thanks for packaging them, Arnaud!
  * Really remove the /usr/share/tomcat4/shared directory from libtomcat4-java
  * Added a note to libtomcat4-java's package description that the tomcat4
    package is needed in order to run Tomcat.

 -- Stefan Gybas <sgybas@debian.org>  Tue, 17 Feb 2004 00:26:59 +0100

tomcat4 (4.1.29-2) unstable; urgency=low

  * Re-add symlinks to /usr/share/tomcat4 so CATALINA_BASE doesn't have to
    be set (closes: #224213)
  * Test for $jdir/bin/java in /etc/init.d/tomcat4 when trying to find
    JAVA_HOME (closes: #226122)
  * Redirect stderr to logs/catalina.out in /etc/init.d/tomcat4
    (closes: #194080)
  * Moved jk2.properties, tomcat-users.xml and web.xml from
    /usr/share/tomcat4/servers to /usr/share/tomcat4/.debian
    to avoid confusion about duplicate files (closes: #225522)
  * Move the shared directory from /usr/share/tomcat4 to /var/lib/tomcat4
    (closes: #227481)
  * Don't suggest libapache2-mod-webapp which does not exist any longer
    (closes: #228666)
  * Add kaffe (>= 1.1.3) as alternative dependency and change package
    description accordingly
  * Remove java2-runtime dependency for libtomcat4-java since the latest
    SableVM package provides java2-runtime but does not work with Tomcat
  * Allow to set the JSP compiler in /etc/default/tomcat4 and use kjc for
    Kaffe so Tomcat works out of the box with Kaffe 1.1.3

 -- Stefan Gybas <sgybas@debian.org>  Tue, 20 Jan 2004 22:39:31 +0100

tomcat4 (4.1.29-1) unstable; urgency=low

  * New upstream release
  * Added java2-compiler to tomcat4's dependencies (closes: #223345, #223347)
    and document this in the long description of the tomcat4 package
  * Change the owner of /var/lib/tomcat4/webapps to the user running tomcat4
    so that webapps can be unpacked there (closes: #220368)
    Also set unpackWARs to true to better match upstream's behavior. This is
    a bit more unsecure than the previous configuration but we are still using
    a security manager.
  * Don't create or remove symlinks for webapps in /usr/share/java/webapps any
    longer. Debian packages that provide webapps for tomcat4 should put a
    context configuration XML file in /var/lib/tomcat4/webapps instead.
  * Set CATALINA_BASE in tomcat4's init script to /var/lib/tomcat4 so we don't
    need all those symlinks in /usr/share/tomcat4
  * Updated README.Debian and fixed some typos

 -- Stefan Gybas <sgybas@debian.org>  Mon, 15 Dec 2003 15:20:00 +0100

tomcat4 (4.1.28-1) unstable; urgency=low

  * New upstream release
    + Requires newer version of Commons Modeler (1.1)
  * Stop building the libapache2-mod-webapp package, it is now built by the
    new tomcat-connectors source package, together with other Apache connectors
  * Switch to CDBS for debian/rules, ship the two upstream tarballs in
    .orig.tar.gz and all patches in debian/patches
  * Use Sun's javac again for building the package and compiling JSPs. It
    will hopefully help getting tomcat4 into testing since jikes doesn't move
    there. This also closes: #202574, #210254, #214857
  * Build the admin webapp now that Struts 1.1 has been packaged
    (closes: #199682) and add a note about this to README.Debian
  * Enable JMX MBeans support in server.xml so that the admin webapp can be
    used
  * Build with support for Commons DBCP (Database Connection Pooling)
  * Updated 04webapps.policy to match upstream's version
  * Don't ship /usr/bin/tomcat4 since it does not work without setting
    environment variables (which is a Policy violation)
  * Ship upstream's catalina.sh since it can now write the pidfile
  * Increase the maximum heap size to 128M because the default of 64M is
    not enough for most cases. Thanks to Matt Zimmerman for the hint!
    (closes: #180054)
  * Updated download URL in copyright
  * Standards-Version: 3.6.1
    + Moved Build-Depends-Indep to Build-Depends since all packages are now
      architecture-independent

 -- Stefan Gybas <sgybas@debian.org>  Thu, 16 Oct 2003 22:06:26 +0200

tomcat4 (4.1.24-2) unstable; urgency=low

  * Added patch from CVS to org.apache.catalina.servlets.HTMLManagerServlet
    for Commons Fileupload 1.0
  * Only depend on jikes, not on other java compilers (closes: #196771)
  * Add catalina-ant.jar to Ant's classpath (closes: #192973)
  * Use jikes to compile the classes
  * Call the Ant main class directly instead of /usr/bin/ant during build

 -- Stefan Gybas <sgybas@debian.org>  Mon, 30 Jun 2003 22:10:05 +0200

tomcat4 (4.1.24-1) unstable; urgency=low

  * New upstream release
    + Fixed typo in /usr/bin/tomcat4 (closes: #186602)
  * Built against Apache 2.0.46 (closes: #188651) and removed conflict in
    libapache2-mod-webapp with later versions of Apache.
  * Built using Blackdown's JDK 1.4 instead of the converted RPM from Sun
  * Added a note to the package descriptions of tomcat4 and libtomcat4-java
    that you need to install JRE or JDK 1.3/1.4 from Blackdown first.
    (closes: #187935)
  * Set umask before creating /var/lib/tomcat4/catalina.policy in
    /etc/init.d/tomcat4 (closes: #178730, #179992)
  * Use jikes as default compiler for JSPs (closes: #185451)
  * Removed the symlinks in /usr/share/tomcat4/shared/lib/ to the JARs in
    /usr/share/tomcat4/common/lib like upstream does
  * Updated README.Debian
  * Standards-Version: 3.5.10 (no changes required)

 -- Stefan Gybas <sgybas@debian.org>  Thu, 29 May 2003 14:07:04 +0200

tomcat4 (4.1.18-1) unstable; urgency=low

  * New upstream release
  * Built against Apache 2.0.44
    + Updated (build) dependencies
    + Use /usr/bin/apxs instead of apxs2 for configuring mod_webapp
  * Tightened libtomcat4-java dependency (closes: #175800)

 -- Stefan Gybas <sgybas@debian.org>  Mon, 27 Jan 2003 12:52:19 +0100

tomcat4 (4.1.16-1) unstable; urgency=low

  * New upstream release
  * Updated config.guess and config.sub for libapache2-mod-webapp to support
    mips and mipsel (closes: #168644)
  * More verbose shutdown script
  * Added /usr/lib/j2se/1.4 (from Blackdown's JDK 1.4 package) to the list
    of possible JAVA_HOME directories
  * Updated README.Debian with information about the admin and manager
    webapps and where to get JDK Debian pakcages.
  * Standards-Version: 3.5.8 (no changes required)

 -- Stefan Gybas <sgybas@debian.org>  Tue,  3 Dec 2002 22:54:34 +0100

tomcat4 (4.1.12-3) unstable; urgency=low

  * Rebuilt with Apache 2.0.43
  * Added Takashi Okamoto and Ola Lundqvist as uploaders
  * tomcat4 now only depends on the virtual java2-runtime and java2-compiler
    packages and suggests libapache2-mod-webapp

 -- Stefan Gybas <sgybas@debian.org>  Wed, 23 Oct 2002 14:40:05 +0200

tomcat4 (4.1.12-2) unstable; urgency=low

  * Rebuilt with Apache 2.0.42 and added a dependency on apache2-common
    (<< 2.0.43) for libapache2-mod-webapp
  * Fixed access rights for the org.apache.catalina.util.* classes in
    catalina.policy when running with a security manager (closes: #152691)
  * Don't create the symlink for a webapp in /var/lib/tomncat4/webapps if
    a corresponding webapp.xml already exists

 -- Stefan Gybas <sgybas@debian.org>  Wed, 25 Sep 2002 15:15:45 +0200

tomcat4 (4.1.12-1) unstable; urgency=high

  * New upstream release which fixes a JSP source disclosure vulnerability
    (closes: #162179)
  * Remove all JARs from the upstream source tarball since they are now
    available as Debian packages. Thanks to Takashi Okamoto for packaging
    commons-modeler and MX4J.

 -- Stefan Gybas <sgybas@debian.org>  Tue, 24 Sep 2002 23:09:44 +0200

tomcat4 (4.1.10-1) unstable; urgency=low

  * New upstream release
  * Really fix dependencies of libapache2-mod-webapp
  * Change the owner of /var/lib/tomcat4/catalina.policy to tomcat4 after
    creating the file, thanks to Neil Stockbridge for the hint
  * Added versioned tomcat4 dependencies for tomcat4-webapps and
    tomcat4-admin (closes: #160268)
  * Build using the new libcommons-logging-java package. Thanks to Takashi
    Okamoto for packaging this!
  * Move the conf directory from /etc/tomcat4 to /var/lib/tomcat4/conf/
    so it is writebale by the tomcat4 user. Create symlinks for server.xml
    and web.xml in /etc/tomcat4.
  * Moved tomcat-users.xml from /etc/tomcat4 to /usr/share/tomcat4/server and
    copy it to /var/lib/tomcat4/conf in the postinst if it's not already
    there. This file is managed by Tomcat4 and should not not be a conffile.
  * Enable UserDatabase resource and UserDatabaseRealm in server.xml so
    the examples and manager webapps work again
  * Move root directory of the examples web apps to
    /usr/share/tomcat4/server/webapps and create examples.xml in
    /var/lib/tomcat4/webapps and removed the examples context from the
    global server.xml (closes: #142565)
  * Use the new Coyote/JK2 AJP13 connector on port 8009 and install
    jk2.properties in tomcat4's postinst
  * Removed a lot of unused options from /etc/tomcat4/server.xml to keep
    the file short and simple. The complete example is still available in
    /usr/share/doc/tomcat4/examples/server.xml.gz.
  * Wait up to 30 seconds (changeable in /etc/default/tomcat4) before killing
    the JVM after gracefully shutting down tomcat (closes: #155159)
  * Disable the admin context since it requires Struts (not yet packaged)

 -- Stefan Gybas <sgybas@debian.org>  Wed, 18 Sep 2002 17:23:56 +0200

tomcat4 (4.1.9-2) unstable; urgency=low

  * Call autoconf instead of autoconf2.50 in debian/rules and build-conflict
    with autoconf2.13 (closes: #159329)
  * Fixed dependencies of libapache2-mod-webapp
  * Enable mod_webapp in libapache2-mod-webapp's postinst
  * Build with latest Ant version
  * Build with debhelper >= 4.1.0 to get rid of /usr/doc compatibility
    symlinks
  * Standards-Version: 3.5.7

 -- Stefan Gybas <sgybas@debian.org>  Tue,  3 Sep 2002 10:03:59 +0200

tomcat4 (4.1.9-1) unstable; urgency=low

  * New upstream release: 4.1.9 Beta
    + /usr/share/tomcat4/classes and /usr/share/tomcat4/lib have moved to
      /usr/share/tomcat4/shared
  * Update policy files for the security manager to reflect the new
    JAR locations
  * Split the admin web interface into its own package: tomcat4-admin
  * Added (build) depencencies for libcommons-*-java
  * Tomcat 4 now depends on Ant because it includes a new Ant task for
    deploying and managing web applications
  * Update /etc/tomcat4/server.xml to use the new Coyote connectors by default
  * Make heavy use of dh_install in build process and drop almost all custom
    cp/mv/install commands in debian/rules
  * Changed all occurances of "Tomcat 4.0" to "Tomcat 4.1"
  * Don't set CATALINA_OPTS in /etc/default/tomcat4, set it in the init
    script instead if this varaibale is empty (closes: #156851)
  * Build mod_webapp for Apache 2 as libapache2-mod-webapp (closes: #157199)

 -- Stefan Gybas <sgybas@debian.org>  Tue, 20 Aug 2002 10:06:46 +0200

tomcat4 (4.0.4-4) unstable; urgency=low

  * Changed init script to the new start-stop-daemon behavior in dpkg 1.10.
    Thanks to Thomas Morin for the investigations! (closes: #151996)
  * Removed junit build dependency since the unit tests are not run when
    building the package

 -- Stefan Gybas <sgybas@debian.org>  Mon, 15 Jul 2002 12:41:01 +0200

tomcat4 (4.0.4-3) unstable; urgency=low

  * Set build.compiler property to modern so the package can be built with
    Ant 1.5beta

 -- Stefan Gybas <sgybas@debian.org>  Mon,  1 Jul 2002 20:46:08 +0200

tomcat4 (4.0.4-2) unstable; urgency=low

  * Test in postinst if the tomcat4 user already exists
  * Fixed tomcat40.home location in connectors/jk/build.properties so
    all classes in org.apache.ajp.tomcat4 get built (closes: #151556)
  * Properly install all new coyote JARs in /usr/share/tomcat4/server/lib

 -- Stefan Gybas <sgybas@debian.org>  Mon,  1 Jul 2002 19:26:08 +0200

tomcat4 (4.0.4-1) unstable; urgency=low

  * New upstream release with new connectors called Coyote
  * Add /usr/lib/j2sdk1.4 as an alternative for JAVA_HOME. This directory is
    used by the converted JDK 1.4 RPM from Sun (using alien >= 8.08).
  * Move /usr/share/tomcat4/bin/bootstrap.jar from tomcat4 to libtomcat4-java
    (closes: #149050)
  * Extract the contents of jakarta-tomcat-connectors into the connectors
    subdirectory because there are circular build dependencies between
    Catalina and Tomcat-Connectors. Also build the new coyote and http11
    connectors with a patch from Henri Gomez which can be found at
    http://www.mail-archive.com/tomcat-dev@jakarta.apache.org/msg29645.html
  * Add a build patch for connectors/coyote/src/java/org/apache/coyote/
    tomcat4/CoyoteServerSocketFactory.java from upstream CVS
  * Build the classes using JDK 1.4 to match the upstream light version.
    Changed the build dependencies accordingly to use the converted
    JDK 1.4 RPM from Sun.
  * Enable SSL support if the JSSE classes are found in JAVA_HOME/jre/lib
    (which is the case for JDK 1.4 and up)
  * Update server.xml to include Coyote and SSL connector (both commented
    out)
  * Update README.Debian to reflect the above changes

 -- Stefan Gybas <sgybas@debian.org>  Thu, 27 Jun 2002 11:05:05 +0200

tomcat4 (4.0.3-4) unstable; urgency=low

  * Add "-s /bin/sh" to the su call in the init script. Thanks to Philipp
    Matthias Hahn for the solution! (closes: #143062)
  * Remove SnoopServlet.class and TroubleShooter.class from the example
    webapps (closes: #144213)
  * Fixed typo in /etc/tomcat4/server.xml (closes: #144251)
  * Add a comment to /var/lib/tomcat4/catalina.policy that this file is
    auto-generated. Thanks to Nikolaus Rath fo the patch! (closes: #144077)
  * Start Java with "-Djava.awt.headless=true" so Batik from Cocoon and other
    AWT components can work without an X11 display when using JDK 1.4
    (closes: #144778)
  * Added a note to README.Debian about unpackWar (closes: #146660)
  * Removed suggestion for libapache-mod-webapp since this is a diferent
    package not related to Jakarta's mod_webapp. It looks like I was too slow
    with my package so I'll name it libapache-mod-warp instead.
  * Don't try to stop Tomcat if TOMCAT4_USER is empty in /etc/default/tomcat4
  * Use DH_COMPAT=4 in debian/rules and update build dependencies accordingly
    so invoke-rc.d is used in Tomcat's maintainer scripts

 -- Stefan Gybas <sgybas@debian.org>  Fri, 24 May 2002 15:17:14 +0200

tomcat4 (4.0.3-3) unstable; urgency=low

  * Print a warning message in the init script if JAVA_HOME is not defined
    in /etc/default/tomcat4 and no JDK was found (closes: #141827)
  * properly export CATALINA_OPTS to the startup script (closes: #141471)
  * Fixed XML parsing error in tomcat-docs/appdev/sample/build.xml
    (closes: #142029)
  * Remove all empty directories and files generated by scripts in
    /etc/tomcat4 and /var/lib/tomcat4 when purging tomcat4
  * Create /var/lib/tomcat4/webapps/ROOT/WEB-INF/web.xml during package
    installaiton if it does not exist (partly fixes #142565)

 -- Stefan Gybas <sgybas@debian.org>  Mon, 15 Apr 2002 20:40:59 +0200

tomcat4 (4.0.3-2) unstable; urgency=low

  * Fixed AccessControlException with the j2sdk1.3 (1.3.1-1) package
    (closes: #141068)
  * Fixed build dependency on the j2sdk1.3 package

 -- Stefan Gybas <sgybas@debian.org>  Wed,  3 Apr 2002 20:04:47 +0200

tomcat4 (4.0.3-1) unstable; urgency=high

  * New upstream release which fixes a security hole in the Java security
    manager
  * Use mx4j.jar for building (the project was renamed from OpenJMX to MX4J)
  * Create catalina.policy in /var/lib/tomcat4/ instead of /etc/tomcat4/
    so /etc can be on a read-only file system.
  * libtomcat4-java now depends on Xerces2-J. Note that the classes of the
    XML parser are also made availabe to all web applications.
  * server.xml: Make the manager context privileged so it actually works

 -- Stefan Gybas <sgybas@debian.org>  Wed,  6 Mar 2002 20:39:02 +0100

tomcat4 (4.0.2-1) unstable; urgency=low

  * Initial release

 -- Stefan Gybas <sgybas@debian.org>  Fri,  1 Mar 2002 09:53:47 +0100

